export function getTemplate(compName: string) {
  return JSON.parse(
    `{
      "root": "projects/${compName}/",
      "sourceRoot": "projects/${compName}/src",
      "projectType": "application",
      "prefix": "app",
      "schematics": {},
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/${compName}",
            "index": "projects/${compName}/src/index.html",
            "main": "projects/${compName}/src/main.ts",
            "polyfills": "projects/${compName}/src/polyfills.ts",
            "tsConfig": "projects/${compName}/tsconfig.app.json",
            "assets": [
              "projects/${compName}/src/favicon.ico",
              "projects/${compName}/src/assets"
            ],
            "styles": [
              "projects/${compName}/src/styles.css"
            ],
            "scripts": [],
            "es5BrowserSupport": true
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "projects/${compName}/src/environments/environment.ts",
                  "with": "projects/${compName}/src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "${compName}:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "${compName}:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "${compName}:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/${compName}/src/test.ts",
            "polyfills": "projects/${compName}/src/polyfills.ts",
            "tsConfig": "projects/${compName}/tsconfig.spec.json",
            "karmaConfig": "projects/${compName}/karma.conf.js",
            "styles": [
              "projects/${compName}/src/styles.css"
            ],
            "scripts": [],
            "assets": [
              "projects/${compName}/src/favicon.ico",
              "projects/${compName}/src/assets"
            ]
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/${compName}/tsconfig.app.json",
              "projects/${compName}/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    }`
  );
}

export function getE2eTemplate(compName: string) {
  return JSON.parse(
    `{
      "root": "projects/${compName}-e2e/",
      "projectType": "application",
      "prefix": "",
      "architect": {
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "projects/${compName}-e2e/protractor.conf.js",
            "devServerTarget": "${compName}:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "${compName}:serve:production"
            }
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": "projects/${compName}-e2e/tsconfig.e2e.json",
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    }`
  );
}
